import Shell from 'gi://Shell';
import { Extension } from 'resource:///org/gnome/shell/extensions/extension.js';
import WorkspaceIsolator from './WorkspaceIsolator.js';
export default class WorkspaceIsolatedDashExtension extends Extension {
    _appSystem;
    _wsIsolator;
    enable() {
        this._appSystem = Shell.AppSystem.get_default();
        this._wsIsolator = new WorkspaceIsolator(this._appSystem);
        this._wsIsolator.refresh();
    }
    disable() {
        this._wsIsolator.destroy();
        this._wsIsolator = null;
        this._appSystem = null;
    }
}
